
QGIS Application - Bug report #5231

QGis crashes on Gradual styling

2012-03-26 12:17 AM - Victor Mensing

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 14967

Description

There are made significant improvements on saving styling on legends in QGis 1.7.4 vs 1.7.3, but if when chosen for saving a gradual

legend on a large theme QGIS still crashes.

History

#1 - 2012-03-26 12:21 AM - Giovanni Manghi

on what platform? can you please post a sample dataset that causes the issue? thanks.

#2 - 2012-03-26 12:42 AM - Victor Mensing

- File Clipboard01.jpg added

I use QGis 1.7.4 on Windows XP. The attached file is an export from the theme I used. I can't reproduce the crash with this file, so it seems it's more

related to the case that the original data comes from an POSTGIS-theme. To reproduce my crash I think you better can export the shape again to postgis

(using SRID 28992).

#3 - 2012-03-26 12:45 AM - Victor Mensing

It seems my ZIPPED datafile is too large to attach. I will send it to you with a service.

#4 - 2012-03-26 01:14 AM - Giovanni Manghi

- Category set to Symbology

Hi, thanks for the sample.

It works fine here as both shape and postgis layer, using qgis-development version.

Can you give it a go installing qgis-dev on Windows using osgeo4w? Thanks.

#5 - 2012-03-26 01:16 AM - Giovanni Manghi

- Status changed from Open to Feedback

#6 - 2012-04-18 03:11 AM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to worksforme

Closing for lack of feedback. Reopen if necessary.

#7 - 2012-05-08 05:56 AM - Victor Mensing

I lost my password on this environmnet and was unable to ask for a new password. So i created a new account tot end this bug-report. I still had the crash.

Also the first time running the newest (developers-version) of QGis.

Because of a computer crash I uses another laptop and since then I ws not able to reproduce the bug. So it stays uncleared why I had the crash.

#8 - 2012-05-08 09:08 AM - Giovanni Manghi

Victor Mensing wrote:

I lost my password on this environmnet and was unable to ask for a new password.

the ID used here is an OSGeo id, there isn't a password recovery tool in the osgeo.org website?

So i created a new account tot end this bug-report. I still had the crash. Also the first time running the newest (developers-version) of QGis. 

Because of a computer crash I uses another laptop and since then I ws not able to reproduce the bug. So it stays uncleared why I had the crash.

so we can assume it is/was a local issue? Did you a try to make a very clean install in your environment? I mean: remove .qgis, remove the program,

remove the registry keys and then install again.

#9 - 2012-05-08 09:27 AM - Victor Mensing

I'm not sure about that. And I'm still waiting to get back my old laptop to reproduce some things. So till then I can't figure it out clearly. Better is to close this

issue for now and wait till I can get back with new information when possible.
